# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'Nully/version'

Gem::Specification.new do |spec|
  spec.name          = 'nully'
  spec.version       = Nully::VERSION
  spec.authors       = ['Tom Broomfield']
  spec.email         = ['tomplbroomfield@gmail.com']
  spec.summary       = 'Easy. Simple. Null Object Patterns.'
  spec.homepage      = 'https://github.com/tombroomfield/Nully'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.6'
  spec.add_development_dependency 'rake', '~> 10.0.0'
  spec.add_development_dependency 'rspec', '~> 3.0.0'
  spec.add_development_dependency 'pry', '~> 0.10.0'
end
